// Datei UebAnzahlBlanks_ALR.java
/* ------------------------------------------------------------------------
Eine Klasse, die eine einzige Klassenmethode (genauer: eine Funktion)
enthaelt.
------------------------------------------------------------------------ */
import java.util.ArrayList;

public class UebAnzahlBlanks_ALR {
   // ---------------------------------------------------------------------
   static public int AnzahlBlanks_ALR(ArrayList<String>[] ral) {     // **
      // Ermittelt und liefert die Anzahl der Blank-Zeichen (' '), die
      // in den elementaren Komponenten von ral vorkommen.
      // Die elementaren    Komponenten von ral sind vom Typ String.
      // Die                Komponenten von ral sind vom Typ ArrayList<String>.

      // Beispiele:
      //                                        // Anzahl Blanks
      // String[] r11 = {"a b c", " a "};       //   4
      // String[] r12 = {"abc", " ", " a b "};  //   4
      // String[] r13 = {"ab"};                 //   0
      //
      // String[] r21 = {" a b ", "a b"};       //   4
      // String[] r22 = {"   ", "a", "abcde"};  //   3
      // String[] r23 = {"  "};                 //   2
      //
      // String[] r31 = {" a b ", "a b"};       //   4
      // String[] r32 = {};                     //   0
      //
      // String[] r41 = {};                     //   0
      // String[] r42 = {};                     //   0
      // String[] r43 = {};                     //   0
      //
      // ArrayList<String>   al11 = new ArrayList<String>(Arrays.asList(r11));
      // ArrayList<String>   al12 = new ArrayList<String>(Arrays.asList(r12));
      // ArrayList<String>   al13 = new ArrayList<String>(Arrays.asList(r13));
      //
      // ArrayList<String>   al21 = new ArrayList<String>(Arrays.asList(r21));
      // ArrayList<String>   al22 = new ArrayList<String>(Arrays.asList(r22));
      // ArrayList<String>   al23 = new ArrayList<String>(Arrays.asList(r23));
      //
      // ArrayList<String>   al31 = new ArrayList<String>(Arrays.asList(r31));
      // ArrayList<String>   al32 = new ArrayList<String>(Arrays.asList(r32));
      //
      // ArrayList<String>   al41 = new ArrayList<String>(Arrays.asList(r41));
      // ArrayList<String>   al42 = new ArrayList<String>(Arrays.asList(r42));
      // ArrayList<String>   al43 = new ArrayList<String>(Arrays.asList(r43));
      //
      //                                                 // Anzahl Blanks
      // ArrayList<String>[] ral1 = {al11, al12, al13};  // 4 + 4 + 0 = 8
      // ArrayList<String>[] ral2 = {al21, al22, al23};  // 4 + 3 + 2 = 9
      // ArrayList<String>[] ral3 = {al31, al32};        // 4 + 0     = 4
      // ArrayList<String>[] ral4 = {al41, al42, al43};  // 0 + 0 + 0 = 0
      // ArrayList<String>[] ral5 = {};                  // 0
      //
      // AnzahlBlanks_ALR(ral1) ist gleich 8
      // AnzahlBlanks_ALR(ral2) ist gleich 9
      // AnzahlBlanks_ALR(ral3) ist gleich 4
      // AnzahlBlanks_ALR(ral4) ist gleich 0
      // AnzahlBlanks_ALR(ral5) ist gleich 0

      return -123;
   } // AnzahlBlanks_ALR
   // ---------------------------------------------------------------------
} // class
