// Datei UebAnzahlBlanks_RALJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion AnzahlBlanks_RAL in der Klasse UebAnzahlBlanks_RAL
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse
import java.util.ArrayList;
import java.util.Arrays;

public class UebAnzahlBlanks_RALJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebAnzahlBlanks_RALJut.class);
   } // suite
   // ---------------------------------------------------------------------
   //                                                                Blanks
   String[][] r21 = {{"a b c", " a "}, {"abc", " ", " a b "}, {"ab"}}; // 8
   String[][] r22 = {{" a b ", "a b"}, {"   ", "a", "abcde"}, {"  "}}; // 9
   String[][] r23 = {{" a b ", "a b"}, {}};                            // 4
   String[][] r24 = {{}, {}, {}};                                      // 0
   String[][] r25 = {};                                                // 0

   ArrayList<String[]> al1 = new ArrayList<String[]>(Arrays.asList(r21));
   ArrayList<String[]> al2 = new ArrayList<String[]>(Arrays.asList(r22));
   ArrayList<String[]> al3 = new ArrayList<String[]>(Arrays.asList(r23));
   ArrayList<String[]> al4 = new ArrayList<String[]>(Arrays.asList(r24));
   ArrayList<String[]> al5 = new ArrayList<String[]>(Arrays.asList(r25));
   // ---------------------------------------------------------------------
   public void test01() {
      assertEquals(8, UebAnzahlBlanks_RAL.AnzahlBlanks_RAL(al1));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      assertEquals(9, UebAnzahlBlanks_RAL.AnzahlBlanks_RAL(al2));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      assertEquals(4, UebAnzahlBlanks_RAL.AnzahlBlanks_RAL(al3));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      assertEquals(0, UebAnzahlBlanks_RAL.AnzahlBlanks_RAL(al4));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      assertEquals(0, UebAnzahlBlanks_RAL.AnzahlBlanks_RAL(al5));
   } // test05
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebAnzahlBlanks_RALJut.class);
   } // main
   // ---------------------------------------------------------------------
}
