// Datei UebAnzahlGleicheBitsJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion AnzahlGleicheBits in
der Klasse UebAnzahlGleicheBits
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse

public class UebAnzahlGleicheBitsJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebAnzahlGleicheBitsJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test01() {
      assertEquals( 4, UebAnzahlGleicheBits.AnzahlGleicheBits(0x0000000000000000L,
                                                              0xFFFFFFFFFFFFFFF0L));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      assertEquals( 0, UebAnzahlGleicheBits.AnzahlGleicheBits(0x0F0F0F0F0F0F0F0FL,
                                                              0xF0F0F0F0F0F0F0F0L));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      assertEquals(64, UebAnzahlGleicheBits.AnzahlGleicheBits(0x0F0F0F0F0F0F0F0FL,
                                                              0x0F0F0F0F0F0F0F0FL));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      assertEquals( 8, UebAnzahlGleicheBits.AnzahlGleicheBits(0xFF0F0F0F0F0F0F0FL,
                                                              0xF0F0F0F0F0F0F0FFL));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {

   } // test05
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebAnzahlGleicheBitsJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebAnzahlGleicheBitsJut
