// Datei UebAnzahlVerschiedeneIntRJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion AnzahlVerschiedeneIntR in
der Klasse UebAnzahlVerschiedeneIntR
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse

public class UebAnzahlVerschiedeneIntRJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebAnzahlVerschiedeneIntRJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test01() {
      int[] r = {1, 2, 3, 2, 1};
      assertEquals(3, UebAnzahlVerschiedeneIntR.AnzahlVerschiedeneIntR(r));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      int[] r = {5};
      assertEquals(1, UebAnzahlVerschiedeneIntR.AnzahlVerschiedeneIntR(r));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      int[] r = {};
      assertEquals(0, UebAnzahlVerschiedeneIntR.AnzahlVerschiedeneIntR(r));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      int[] r = {1, 1, 2, 2, 2, 3, 3, 3, 3};
      assertEquals(3, UebAnzahlVerschiedeneIntR.AnzahlVerschiedeneIntR(r));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      int[] r = {1, 2, 3, 4, 5};
      assertEquals(5, UebAnzahlVerschiedeneIntR.AnzahlVerschiedeneIntR(r));
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      int[] r = {-1, +1, -1, +1, -1, +1};
      assertEquals(2, UebAnzahlVerschiedeneIntR.AnzahlVerschiedeneIntR(r));
   } // test06
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebAnzahlVerschiedeneIntRJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebAnzahlVerschiedeneIntRJut