// Datei UebAnzahlVerschiedeneStringRJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion AnzahlVerschiedeneStringR in
der Klasse UebAnzahlVerschiedeneStringR
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse

public class UebAnzahlVerschiedeneStringRJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebAnzahlVerschiedeneStringRJut.class);
   } // suite
   // ---------------------------------------------------------------------
   String a0 = new String(""),    b0 = new String("");
   String a1 = new String("ab"),  b1 = new String("ab");
   String a2 = new String("bcd"), b2 = new String("bcd");
   String a3 = new String("c"),   b3 = new String("c");
   String a4 = new String("def"), b4 = new String("def");
   String a5 = new String("XX"),  b5 = new String("XX");
   // ---------------------------------------------------------------------
   public void test01() {
      String[] r = {a1, a2, a3, b2, b1};
      assertEquals(3, UebAnzahlVerschiedeneStringR.AnzahlVerschiedeneStringR(r));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      String[] r = {a5};
      assertEquals(1, UebAnzahlVerschiedeneStringR.AnzahlVerschiedeneStringR(r));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      String[] r = {};
      assertEquals(0, UebAnzahlVerschiedeneStringR.AnzahlVerschiedeneStringR(r));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      String[] r = {a1, b1, a2, b2, a2, a3, b3, a3, b3};
      assertEquals(3, UebAnzahlVerschiedeneStringR.AnzahlVerschiedeneStringR(r));
   } // test04
   // ---------------------------------------------------------------------
   public void test0s5() {
      String[] r = {a1, a2, a3, a4, a5};
      assertEquals(5, UebAnzahlVerschiedeneStringR.AnzahlVerschiedeneStringR(r));
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      String[] r = {a1, a0, b1, a0, a1, b0};
      assertEquals(2, UebAnzahlVerschiedeneStringR.AnzahlVerschiedeneStringR(r));
   } // test06
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebAnzahlVerschiedeneStringRJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebAnzahlVerschiedeneStringRJut