// Datei UebEnthaeltDoppelteStringALJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion EnthaeltDoppelteStringAL
in der Klasse UebEnthaeltDoppelteStringAL
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse
import java.util.ArrayList;
import java.util.Arrays;

public class UebEnthaeltDoppelteStringALJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebEnthaeltDoppelteStringALJut.class);
   } // suite
   // ---------------------------------------------------------------------
   String s10 = new String(""),   s20 = new String("");;
   String s11 = new String("ab");
   String s12 = new String("bcd");
   String s13 = new String("c");
   String s14 = new String("def");
   String s15 = new String("XX"), s25 = new String("XX");
   // ---------------------------------------------------------------------
   public void test01() {
      String[] r = {s11, s12, s13, s14, s15};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertFalse(UebEnthaeltDoppelteStringAL.EnthaeltDoppelteStringAL(al));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      String[] r = {s15};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertFalse(UebEnthaeltDoppelteStringAL.EnthaeltDoppelteStringAL(al));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      String[] r = {};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertFalse(UebEnthaeltDoppelteStringAL.EnthaeltDoppelteStringAL(al));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      String[] r = {s15, s11, s12, s13, s14, s25};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertTrue(UebEnthaeltDoppelteStringAL.EnthaeltDoppelteStringAL(al));
   } // test04
   // ---------------------------------------------------------------------
   public void test0s5() {
      String[] r = {s10, s11, s12, s15, s13, s14, s25};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertTrue(UebEnthaeltDoppelteStringAL.EnthaeltDoppelteStringAL(al));
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      String[] r = {s11, s12, s13, s14, s15, s25};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertTrue(UebEnthaeltDoppelteStringAL.EnthaeltDoppelteStringAL(al));
   } // test06
   // ---------------------------------------------------------------------
   public void test07() {
      String[] r = {s15, s10, s11, s12, s13, s14, s25};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertTrue(UebEnthaeltDoppelteStringAL.EnthaeltDoppelteStringAL(al));
   } // test07
   // ---------------------------------------------------------------------
   public void test08() {
      String[] r = {s15, s11, s12, s25, s13, s14};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertTrue(UebEnthaeltDoppelteStringAL.EnthaeltDoppelteStringAL(al));
   } // test08
   // ---------------------------------------------------------------------
   public void test09() {
      String[] r = {s10, s20};
      ArrayList<String> al = new ArrayList<String>(Arrays.asList(r));
      assertTrue(UebEnthaeltDoppelteStringAL.EnthaeltDoppelteStringAL(al));
   } // test09
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebEnthaeltDoppelteStringALJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebEnthaeltDoppelteStringALJut