// Datei UebLongNach5erZahlStringJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion LongNach5erZahlString in
der Klasse UebLongNach5erZahlString
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse

public class UebLongNach5erZahlStringJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebLongNach5erZahlStringJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test01() {
      assertEquals( "0", UebLongNach5erZahlString.LongNach5erZahlString(0));
      assertEquals( "1", UebLongNach5erZahlString.LongNach5erZahlString(1));
      assertEquals( "2", UebLongNach5erZahlString.LongNach5erZahlString(2));
      assertEquals( "3", UebLongNach5erZahlString.LongNach5erZahlString(3));
      assertEquals( "4", UebLongNach5erZahlString.LongNach5erZahlString(4));
      assertEquals("10", UebLongNach5erZahlString.LongNach5erZahlString(5));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {

   } // test02
   // ---------------------------------------------------------------------
   public void test03() {

   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      assertEquals( "100", UebLongNach5erZahlString.LongNach5erZahlString( 25));
      assertEquals( "200", UebLongNach5erZahlString.LongNach5erZahlString( 50));
      assertEquals( "300", UebLongNach5erZahlString.LongNach5erZahlString( 75));
      assertEquals( "400", UebLongNach5erZahlString.LongNach5erZahlString(100));
      assertEquals("1000", UebLongNach5erZahlString.LongNach5erZahlString(125));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      assertEquals("11111", UebLongNach5erZahlString.LongNach5erZahlString( 781));
      assertEquals("22222", UebLongNach5erZahlString.LongNach5erZahlString(1562));
      assertEquals("33333", UebLongNach5erZahlString.LongNach5erZahlString(2343));
      assertEquals("44444", UebLongNach5erZahlString.LongNach5erZahlString(3124));
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      long   n1 = 123456789012345678L;
      long   n2 = 876543210987654321L;

      String s1 =  "2013423212012344130030203";
      String s2 = "24323110232432100314414241";

      assertEquals(s1, UebLongNach5erZahlString.LongNach5erZahlString(n1));
      assertEquals(s2, UebLongNach5erZahlString.LongNach5erZahlString(n2));
   } // test06
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebLongNach5erZahlStringJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebLongNach5erZahlStringJut
