// Datei UebEnthaeltDoppelteStringRJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion EnthaeltDoppelteStringR in
der Klasse UebEnthaeltDoppelteStringR
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse

public class UebEnthaeltDoppelteStringRJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebEnthaeltDoppelteStringRJut.class);
   } // suite
   // ---------------------------------------------------------------------
   String a0 = new String(""),   b0 = new String("");;
   String a1 = new String("ab");
   String a2 = new String("bcd");
   String a3 = new String("c");
   String a4 = new String("def");
   String a5 = new String("XX"), b5 = new String("XX");
   // ---------------------------------------------------------------------
   public void test01() {
      String[] r = {a1, a2, a3, a4, a5};
      assertFalse(UebEnthaeltDoppelteStringR.EnthaeltDoppelteStringR(r));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      String[] r = {a5};
      assertFalse(UebEnthaeltDoppelteStringR.EnthaeltDoppelteStringR(r));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      String[] r = {};
      assertFalse(UebEnthaeltDoppelteStringR.EnthaeltDoppelteStringR(r));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      String[] r = {a5, a1, a2, a3, a4, b5};
      assertTrue(UebEnthaeltDoppelteStringR.EnthaeltDoppelteStringR(r));
   } // test04
   // ---------------------------------------------------------------------
   public void test0s5() {
      String[] r = {a1, a2, a5, a3, a4, b5};
      assertTrue(UebEnthaeltDoppelteStringR.EnthaeltDoppelteStringR(r));
   } // test05
   // ---------------------------------------------------------------------
   public void test06() {
      String[] r = {a1, a2, a3, a4, a5, b5};
      assertTrue(UebEnthaeltDoppelteStringR.EnthaeltDoppelteStringR(r));
   } // test06
   // ---------------------------------------------------------------------
   public void test07() {
      String[] r = {a0, a1, a2, a5, a3, a4, b5};
      assertTrue(UebEnthaeltDoppelteStringR.EnthaeltDoppelteStringR(r));
   } // test07
   // ---------------------------------------------------------------------
   public void test08() {
      String[] r = {a0, a1, a2, b0, a3, a4};
      assertTrue(UebEnthaeltDoppelteStringR.EnthaeltDoppelteStringR(r));
   } // test08
   // ---------------------------------------------------------------------
   public void test09() {
      String[] r = {a0, b0};
      assertTrue(UebEnthaeltDoppelteStringR.EnthaeltDoppelteStringR(r));
   } // test09
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebEnthaeltDoppelteStringRJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebEnthaeltDoppelteStringRJut