// Datei UebMinRJut.java
/* ------------------------------------------------------------------------
Ein JUnit-Programm zum Testen der Funktion MinR in der Klasse UebMinR
(JUnit Version 3.8)
------------------------------------------------------------------------ */
import junit.framework.Test;      // Eine Schnittstelle
import junit.framework.TestCase;  // Eine Test-Klasse
import junit.framework.TestSuite; // Eine Test-Klasse

public class UebMinRJut extends TestCase {
   // ---------------------------------------------------------------------
   static public Test suite() {
      return new TestSuite(UebMinRJut.class);
   } // suite
   // ---------------------------------------------------------------------
   public void test01() {
      String[] r = {"BBBB", "CCC", "AA"};
      assertEquals("AA", UebMinR.MinR(r));
   } // test01
   // ---------------------------------------------------------------------
   public void test02() {
      String[] r = {"AAA", "AA", "AAAA"};
      assertEquals("AA", UebMinR.MinR(r));
   } // test02
   // ---------------------------------------------------------------------
   public void test03() {
      String[] r = {"AA", "B", "C"};
      assertEquals("AA", UebMinR.MinR(r));
   } // test03
   // ---------------------------------------------------------------------
   public void test04() {
      String[] r = {"AAA", "", "AA"};
      assertEquals("", UebMinR.MinR(r));
   } // test04
   // ---------------------------------------------------------------------
   public void test05() {
      String[] r = {};
      assertEquals("", UebMinR.MinR(r));
   } // test05
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      junit.awtui.TestRunner.run(UebMinRJut.class);
   } // main
   // ---------------------------------------------------------------------
} // class UebMinRJut
