// Datei UebStringBerZahlNachLong.java
/* ------------------------------------------------------------------------
Eine Klasse, die eine einzige Klassenmethode (genauer: eine Funktion)
enthaelt.
------------------------------------------------------------------------ */
import java.util.Arrays;

public class UebStringBerZahlNachLong {
   // ---------------------------------------------------------------------
   static public long StringBerZahlNachLong(String s, short B) {     // ***
      // Erwartet in s eine Zahl im Zahlensystem mit der Basis B.
      // Wandelt diese B-er-Zahl in einen long-Wert um und liefert
      // ihn als Ergebnis.
      //
      // Liefert als Ergebnis den Wert Long.MIN_VALUE     wenn
      //   B kleiner als 2 oder groesser als 36 ist, oder wenn
      //   s die Laenge 0 hat,                       oder wenn
      //   s ein unzulaessiges Zeichen enthaelt.
      // Zulaessig sind nur die ersten B (z.B. die ersten 5,
      // wenn B gleich 5 ist) der folgenden 36 Zeichen:
      // 0  1  2  ...  8  9  A  B  C  ...  Y  Z
      //
      // Falls s eine zu grosse Zahl enthaelt, tritt bei der Umwandlung
      // ein Ueberlauf auf und das Ergebnis ist mathematisch nicht korrekt.
      //
      // Beispiele:
      //
      // short B01 =  1; // Eine zu kleine Basis
      // short B02 =  2; // Die kleinste zulaessige Basis
      // short B05 =  5;
      // short B10 = 10;
      // short B16 = 16;
      // short B36 = 36; // Die groesste zulaessige Basis
      // short B37 = 37; // Eine zu grosse Basis
      //
      // StringBerZahlNachLong("0",   B02)   ist gleich    0L.
      // StringBerZahlNachLong("0",   B36)   ist gleich    0L.
      // StringBerZahlNachLong("10",  B02)   ist gleich    2L.
      // StringBerZahlNachLong("10",  B05)   ist gleich    5L.
      // StringBerZahlNachLong("10",  B10)   ist gleich   10L.
      // StringBerZahlNachLong("10",  B16)   ist gleich   16L.
      // StringBerZahlNachLong("10",  B36)   ist gleich   36L.
      // StringBerZahlNachLong("101", B02)   ist gleich    5L.
      // StringBerZahlNachLong("101", B05)   ist gleich   26L.
      // StringBerZahlNachLong("101", B10)   ist gleich  101L.
      // StringBerZahlNachLong("1A",  B16)   ist gleich   26L.
      // StringBerZahlNachLong("1Z",  B16)   ist gleich   71L.
      //
      // Die folgenden Aufrufe liefern den Wert Long.MIN_VALUE:
      //
      // StringBerZahlNachLong("1",   B01)    Basis  1 ist zu klein
      // StringBerZahlNachLong("1",   B37)    Basis 37 ist zu gross
      // StringBerZahlNachLong("",    B10)    String hat Laenge 0
      // StringBerZahlNachLong("1X2", B10)    Falsches Zeichen X

      return -123;
   } // StringBerZahlNachLong
   // ---------------------------------------------------------------------
} // class UebStringBerZahlNachLongKopienJut.java
